<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
	<modelVersion>4.0.0</modelVersion>

	<!-- Sempre que alterar a versão do parent, deve ser alterado a versão da 
		propriedade bristech-msf.version -->
	<parent>
		<groupId>br.com.bristech.msf</groupId>
		<artifactId>bristech-msf</artifactId>
		<version>1.1.7</version>
	</parent>

	<groupId>br.com.sigtrans.jupiter.mantemautuacoes</groupId>
	<artifactId>mantem-autuacoes</artifactId>
	<packaging>pom</packaging>
	<name>MicroService Mantém Autuações</name>
	<description>MicroService Mantém Autuações</description>
	<version>1.0.21-SNAPSHOT</version>

	<properties>
		<bristech-msf.version>1.1.7</bristech-msf.version>
		<sigtrans-common.version>0.0.8</sigtrans-common.version>
	</properties>

	<scm>
		<url>https://gitlab.com/projectengine-team/bristech/pgtt-mantem-autuacoes</url>
		<connection>scm:git:https://gitlab.com/projectengine-team/bristech/pgtt-mantem-autuacoes</connection>
		<developerConnection>scm:git:https://gitlab.com/projectengine-team/bristech/pgtt-mantem-autuacoes</developerConnection>
	</scm>

	<modules>
		<module>core</module>
		<module>service</module>
		<module>web</module>
		<module>rt</module>
	</modules>

	<dependencyManagement>
		<dependencies>
			<dependency>
				<groupId>br.com.sigtrans.common</groupId>
				<artifactId>sigtrans-common</artifactId>
				<version>${sigtrans-common.version}</version>
			</dependency>
			<dependency>
				<groupId>br.com.bristech.msf.lib</groupId>
				<artifactId>msf-common</artifactId>
				<version>${bristech-msf.version}</version>
			</dependency>
			<dependency>
				<groupId>br.com.bristech.msf.lib</groupId>
				<artifactId>msf-core</artifactId>
				<version>${bristech-msf.version}</version>
			</dependency>
			<dependency>
				<groupId>br.com.bristech.msf.lib</groupId>
				<artifactId>msf-service</artifactId>
				<version>${bristech-msf.version}</version>
			</dependency>
			<dependency>
				<groupId>br.com.bristech.msf.lib</groupId>
				<artifactId>msf-web</artifactId>
				<version>${bristech-msf.version}</version>
			</dependency>
			<dependency>
				<groupId>br.com.sigtrans.jupiter.mantemautuacoes</groupId>
				<artifactId>mantem-autuacoes</artifactId>
				<version>${project.version}</version>
				<type>pom</type>
			</dependency>
			<dependency>
				<groupId>br.com.sigtrans.jupiter.mantemautuacoes</groupId>
				<artifactId>mantem-autuacoes-core</artifactId>
				<version>${project.version}</version>
			</dependency>
			<dependency>
				<groupId>br.com.sigtrans.jupiter.mantemautuacoes</groupId>
				<artifactId>mantem-autuacoes-web</artifactId>
				<version>${project.version}</version>
			</dependency>
			<dependency>
				<groupId>br.com.sigtrans.jupiter.mantemautuacoes</groupId>
				<artifactId>mantem-autuacoes-service</artifactId>
				<version>${project.version}</version>
			</dependency>
		</dependencies>
	</dependencyManagement>
	<build>
	    <plugins>
	        <plugin>
	            <groupId>com.google.cloud.tools</groupId>
	            <artifactId>jib-maven-plugin</artifactId>
	            <version>3.1.4</version>
	            <configuration>
	                <skip>true</skip>
	            </configuration>
	        </plugin>
	    </plugins>
	</build>
</project>
